#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: QuickCheck
version: 2.11.3
id: QuickCheck-2.11.3-BDoyaQh2Mcq3pIdI4VETKc
key: QuickCheck-2.11.3-BDoyaQh2Mcq3pIdI4VETKc
license: BSD-3-Clause
copyright: 2000-2017 Koen Claessen, 2006-2008 Björn Bringert, 2009-2017 Nick Smallbone
maintainer: Nick Smallbone <nick@smallbone.se>; see also QuickCheck mailing list (https://groups.google.com/forum/#!forum/haskell-quickcheck)
author: Koen Claessen <koen@chalmers.se>
homepage: https://github.com/nick8325/quickcheck
synopsis: Automatic testing of Haskell programs
description:
    QuickCheck is a library for random testing of program properties.
    .
    The programmer provides a specification of the program, in the form of
    properties which functions should satisfy, and QuickCheck then tests that the
    properties hold in a large number of randomly generated cases.
    .
    Specifications are expressed in Haskell, using combinators defined in the
    QuickCheck library. QuickCheck provides combinators to define properties,
    observe the distribution of test data, and define test data generators.
    .
    The <http://www.cse.chalmers.se/~rjmh/QuickCheck/manual.html official QuickCheck manual>
    explains how to write generators and properties;
    it is out-of-date in some details but still full of useful advice.
    .
    A user of QuickCheck has written an unofficial, but detailed, tutorial which
    you can find at
    <https://begriffs.com/posts/2017-01-14-design-use-quickcheck.html>.
category: Testing
abi: 0b3610e7e94bc4eb54ba005b3b149097
exposed: True
exposed-modules:
    Test.QuickCheck Test.QuickCheck.All Test.QuickCheck.Arbitrary
    Test.QuickCheck.Exception Test.QuickCheck.Function
    Test.QuickCheck.Gen Test.QuickCheck.Gen.Unsafe
    Test.QuickCheck.Modifiers Test.QuickCheck.Monadic
    Test.QuickCheck.Poly Test.QuickCheck.Property
    Test.QuickCheck.Random Test.QuickCheck.State Test.QuickCheck.Test
    Test.QuickCheck.Text
import-dirs: /usr/lib/ghc-8.6.1/site-local/QuickCheck-2.11.3
library-dirs: /usr/lib/ghc-8.6.1/site-local/QuickCheck-2.11.3
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.6.1/QuickCheck-2.11.3
hs-libraries: HSQuickCheck-2.11.3-BDoyaQh2Mcq3pIdI4VETKc
depends:
    base-4.12.0.0 containers-0.6.0.1 deepseq-1.4.4.0
    random-1.1-3ypV4EIycgb35PKjTYYr5q template-haskell-2.14.0.0
    tf-random-0.5-DGXDH2T2OVbHHRLZ895CUL transformers-0.5.5.0
haddock-interfaces: /usr/share/doc/haskell-quickcheck/html/QuickCheck.haddock
haddock-html: /usr/share/doc/haskell-quickcheck/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

